%def_enable shared
%def_enable static
%def_disable idebug
%def_disable iprofile
%def_disable gnuprofile
%def_enable assembly

Name: xvid
%define lname lib%name
Version: 1.1.2
Release: alt1
Summary: MPEG-4 video codec.
Summary(uk_UA.CP1251): MPEG-4  .
Summary(ru_RU.CP1251): MPEG-4  .
Group: System/Libraries
License: GPL
URL: http://www.xvid.org
Source: http://downloads.%name.org/downloads/%{name}core-%version.tar.bz2
Patch0: %{name}core-1.1.0-configure.patch
Patch1: %{name}core-1.1.0-shared_static.patch.gz

BuildRequires: common-licenses
%if_enabled assembly
%set_verify_elf_method textrel=relaxed
BuildRequires: anyasm
%endif

%description
XviD is a high performance and high quality MPEG-4 video de-/encoding
solution.

%description -l uk_UA.CP1251
XviD -      /
MPEG-4.

%description -l ru_RU.CP1251
XviD -     
/ MPEG-4.


%if_enabled shared
%package -n %lname
Summary: Shared library of XviD video codec
Summary(uk_UA.CP1251):     XviD.
Summary(ru_RU.CP1251):     XviD.
Group: System/Libraries
Provides: %name = %version-%release
Obsoletes: %name

%description -n %lname
XviD is a high performance and high quality MPEG-4 video de-/encoding
solution.
This package includes the shared library needed to run XviD software.

%description -n %lname -l uk_UA.CP1251
XviD -      /
MPEG-4.
    ,   
,   lib%{name}core.

%description -n %lname -l ru_RU.CP1251
XviD -     
/ MPEG-4.
    ,   
,  lib%{name}core.
%endif


%package -n %lname-devel
Summary: Development files of XviD video codec
Group: Development/C
%{?_enable_shared:Requires: %lname = %version-%release}
Provides: %name-devel = %version-%release
Obsoletes: %name-devel

%description -n %lname-devel
XviD is a high performance and high quality MPEG-4 video de-/encoding
solution.

This package includes the header files needed to develop XviD-based
software.

%description -n %lname-devel -l uk_UA.CP1251
XviD -      /
MPEG-4.

    ,     
 XviD.

%description -n %lname-devel -l ru_RU.CP1251
XviD -     
/ MPEG-4.

    ,   
  c XviD.


%if_enabled static
%package -n %lname-devel-static
Summary: Static library of XviD video codec
Summary(uk_UA.CP1251):     XviD.
Summary(ru_RU.CP1251):     XviD.
Group: Development/C
Requires: %lname-devel = %version-%release
Provides: %name-static-libs = %version-%release
Obsoletes: %name-static-libs

%description -n %lname-devel-static
XviD is a high performance and high quality MPEG-4 video de-/encoding
solution.
This package contains static library of XviD video codec.

%description -n %lname-devel-static -l uk_UA.CP1251
XviD -      /
MPEG-4.
      XviD.

%description -n %lname-devel-static -l ru_RU.CP1251
XviD -     
/ MPEG-4.
      XviD.
%endif


%package -n %lname-examples
Summary: Development files of XviD video codec
Group: Development/C
Requires: %lname-devel = %version

%description -n %lname-examples
XviD is a high performance and high quality MPEG-4 video de-/encoding
solution.
This package includes exaples of develop XviD-based software.

%description -n %lname-examples -l uk_UA.CP1251
XviD -      /
MPEG-4.
        XviD.

%description -n %lname-examples -l ru_RU.CP1251
XviD -    
 / MPEG-4.
       c XviD.


%prep
%setup -q -n %{name}core-%version
%patch0 -p1
%patch1 -p1


%build
%add_optflags %optflags_shared
cd build/generic
%configure \
    %{subst_enable assembly} \
    %{subst_enable idebug} \
    %{subst_enable iprofile} \
    %{subst_enable gnuprofile}
%make_build%{?_enable_shared: shared_lib}%{?_enable_static: static_lib}


%install
pushd build/generic
%if_enabled shared
%make_install DESTDIR=%buildroot install%{?_disable_static:_shared install_header}
%else
%make_install DESTDIR=%buildroot install%{?_enable_static:_static install_header}
%endif
popd
%{?_enable_shared:ln -s lib%{name}core.so.4.1 %buildroot%_libdir/lib%{name}core.so}
[ -f LICENSE ] && mv LICENSE LICENSE.orig
ln -sf %_datadir/license/GPL-2 LICENSE
install -d -m 755 %buildroot%_docdir/%lname-devel-%version/examples
install -m 644 CodingStyle %buildroot%_docdir/%lname-devel-%version/
install -m 644 examples/* %buildroot%_docdir/%lname-devel-%version/examples/
for f in ChangeLog*; do
    bzip2 --keep --force --best --stdout -- ChangeLog* > %buildroot%_docdir/%lname-devel-%version/"$f".bz2
done


%if_enabled shared
%post -n %lname -p %post_ldconfig
%postun -n %lname -p %postun_ldconfig
%endif


%if_enabled shared
%files -n %lname
%doc AUTHORS README TODO
%doc --no-dereference LICENSE
%_libdir/*.so.*
%endif


%files -n %lname-devel
%dir %_docdir/%lname-devel-%version
%_docdir/%lname-devel-%version/CodingStyle
%_docdir/%lname-devel-%version/ChangeLog*.bz2
%{?_enable_shared:%_libdir/*.so}
%_includedir/*


%if_enabled static
%files -n %lname-devel-static
%_libdir/*.a
%if_disabled shared
%doc AUTHORS README TODO
%doc --no-dereference LICENSE
%endif
%endif


%files -n %lname-examples
%dir %_docdir/%lname-devel-%version/examples
%_docdir/%lname-devel-%version/examples/*


%changelog
* Fri Dec 01 2006 Led <led@altlinux.ru> 1.1.2-alt1
- 1.1.2 (bugfix release)
- removed %{name}core-1.1.1-quotes.patch (fixed in upstream)

* Tue Oct 31 2006 Led <led@altlinux.ru> 1.1.1-alt1
- 1.1.1 (bugfix release)
- cleaned up spec
- added %{name}core-1.1.1-quotes.patch

* Fri Jul 28 2006 Led <led@altlinux.ru> 1.1.0-alt7
- added ability build shared or static or both libraries (with
  %{name}core-1.1.0-shared_static.patch)

* Thu Jul 06 2006 Led <led@altlinux.ru> 1.1.0-alt6
- fixed %%post and %%postun

* Tue May 16 2006 Led <led@altlinux.ru> 1.1.0-alt5
- rebuild with gcc-4.1
- fixed spec
- moved ChangeLog* to lib%name-devel
- added lib%name-examples package
- added LICENSE into lib%name

* Wed Apr 05 2006 Led <led@altlinux.ru> 1.1.0-alt4
- changed asm BuildRequires

* Tue Feb 28 2006 Led <led@altlinux.ru> 1.1.0-alt3
- added %{name}core-1.1.0-configure.patch (for detect pentium4)
- fix spec

* Mon Feb 27 2006 Led <led@altlinux.ru> 1.1.0-alt2
- enabled assembly for all arches

* Wed Feb 01 2006 Led <led@altlinux.ru> 1.1.0-alt1
- uk and ru Summary and description
- fix spec

* Tue Jan 31 2006 Led <led@altlinux.ru> 1.1.0-alt0.4
- fix spec

* Mon Jan 30 2006 Led <led@altlinux.ru> 1.1.0-alt0.3
- 1.1.0 release
- rename packages
- fix BuildRequires for x86_64

* Fri Oct 07 2005 Led <led@linux.kiev.ua> 1.1.0-alt0.2
- 1.1.0-beta2

* Tue Jul 05 2005 Led <led@linux.kiev.ua> 1.1.0-alt0.1
- 1.1.0-beta1
- update alt-makefile patch

* Wed Dec 22 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Thu Nov 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Tue Jun 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Sun Mar 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.5rc3
- 1.0.0-rc3

* Sun Feb 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.5rc1
- 1.0.0-rc1

* Sat Nov 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt1.1
- fix TEXTREL bug.

* Sun Aug 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Mon Apr 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.1-alt1
- 0.9.1

* Sun Dec 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt1
- 0.9.0

* Fri Sep 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0-alt0.6cvs20020822
- lastest snapshot built

* Fri May 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 0-alt0.5cvs120020412
- Adopted for Sisyphus PLD Team package. 
